Package org.eclipse.microprofile.rest.client.ext

# Class MockConfigProviderResolver

java.lang.Object
org.eclipse.microprofile.config.spi.ConfigProviderResolver
org.eclipse.microprofile.rest.client.ext.MockConfigProviderResolver

public class MockConfigProviderResolver extends org.eclipse.microprofile.config.spi.ConfigProviderResolver

## Constructor Summary

Constructors
Constructor
Description
`MockConfigProviderResolver()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.microprofile.config.spi.ConfigBuilder`
`getBuilder()`
`org.eclipse.microprofile.config.Config`
`getConfig()`
`org.eclipse.microprofile.config.Config`
`getConfig(ClassLoader loader)`
`void`
`registerConfig(org.eclipse.microprofile.config.Config config, ClassLoader classLoader)`
`void`
`releaseConfig(org.eclipse.microprofile.config.Config config)`

### Methods inherited from class org.eclipse.microprofile.config.spi.ConfigProviderResolver

`instance, setInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockConfigProviderResolver

public MockConfigProviderResolver()

## Method Details

### getConfig

public org.eclipse.microprofile.config.Config getConfig()

Specified by:
  `getConfig` in class `org.eclipse.microprofile.config.spi.ConfigProviderResolver`

### getConfig

public org.eclipse.microprofile.config.Config getConfig(ClassLoader loader)

Specified by:
  `getConfig` in class `org.eclipse.microprofile.config.spi.ConfigProviderResolver`

### getBuilder

public org.eclipse.microprofile.config.spi.ConfigBuilder getBuilder()

Specified by:
  `getBuilder` in class `org.eclipse.microprofile.config.spi.ConfigProviderResolver`

### registerConfig

public void registerConfig(org.eclipse.microprofile.config.Config config, ClassLoader classLoader)

Specified by:
  `registerConfig` in class `org.eclipse.microprofile.config.spi.ConfigProviderResolver`

### releaseConfig

public void releaseConfig(org.eclipse.microprofile.config.Config config)

Specified by:
  `releaseConfig` in class `org.eclipse.microprofile.config.spi.ConfigProviderResolver`